ASCIIHexFilter (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.pdf

## Class ASCIIHexFilter

- java.lang.Object
- - org.apache.fop.pdf.PDFFilter
  - - org.apache.fop.pdf.ASCIIHexFilter

-     public class ASCIIHexFilter
      extends PDFFilter

  ASCII Hex filter for PDF streams. This filter converts a pdf stream to ASCII hex data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASCIIHexFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputStream` | `applyFilter(OutputStream out)` Applies a filter to an OutputStream.
    `PDFObject` | `getDecodeParms()` Get the decode params.
    `String` | `getName()` Get the name of this filter.
    `boolean` | `isASCIIFilter()` Returns true if the filter is an ASCII filter that isn't necessary when encryption is active.

    - ### Methods inherited from class org.apache.fop.pdf.PDFFilter

      `isApplied, setApplied`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASCIIHexFilter

          public ASCIIHexFilter()

  - ### Method Detail

    - #### getName

          public String getName()

      Get the name of this filter.
      Specified by:
        `getName` in class `PDFFilter`
      Returns:
        the name of this filter for pdf

    - #### isASCIIFilter

          public boolean isASCIIFilter()

      Returns true if the filter is an ASCII filter that isn't necessary when encryption is active.
      Overrides:
        `isASCIIFilter` in class `PDFFilter`
      Returns:
        boolean True if this filter is an ASCII filter

    - #### getDecodeParms

          public PDFObject getDecodeParms()

      Get the decode params.
      Specified by:
        `getDecodeParms` in class `PDFFilter`
      Returns:
        always null

    - #### applyFilter

          public OutputStream applyFilter(OutputStream out)
                                   throws IOException

      Applies a filter to an OutputStream.
      Specified by:
        `applyFilter` in class `PDFFilter`
      Parameters:
        `out` - contents to be filtered
      Returns:
        OutputStream filtered contents
      Throws:
        `IOException` - In case of an I/O problem

Copyright © 2025 Apache Software Foundation. All rights reserved.